// FuseInspectionDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FuseInspection.h"
#include "FuseInspectionDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFuseInspectionDlg dialog

CFuseInspectionDlg::CFuseInspectionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFuseInspectionDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFuseInspectionDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CFuseInspectionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFuseInspectionDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFuseInspectionDlg, CDialog)
	//{{AFX_MSG_MAP(CFuseInspectionDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
    ON_COMMAND(IDM_FILE_NEW,OnFileOpen)
    ON_COMMAND(IDM_FILE_EXIT,OnFileExit)	
	//}}AFX_MSG_MAP

END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFuseInspectionDlg message handlers

void CFuseInspectionDlg::OnFileExit()
{
	EndDialog(0);
}

void CFuseInspectionDlg::OnFileOpen()
{

	char strFilter[] = { "Bitmap Files (*.bmp)|*.bmp|All Files (*.*)|*.*||" };

	CFileDialog FileDlg(TRUE, ".bmp", NULL, 0, strFilter);

	if( FileDlg.DoModal() == IDOK )
	{
		// Call the Inspect function of the ImageProcessing class
		m_Processing.Inspect(FileDlg.GetPathName());

		// Refresh the window
		Invalidate();
	}
	
}

BOOL CFuseInspectionDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
    m_Menu.LoadMenu(IDR_MENU1);
    SetMenu(&m_Menu);

	// Call the Initialize function of the ImageProcessing class
	m_Processing.Initialize();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CFuseInspectionDlg::OnPaint() 
{

	CPaintDC dc(this); // device context for painting	
	
	if (IsIconic())
	{
		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();

		// Call the Draw function of the ImageProcessing class
		m_Processing.Draw(dc.GetSafeHdc());
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CFuseInspectionDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
