// ImageProcessing.h: interface for the ImageProcessing class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEPROCESSING_H__16ABAD2B_E644_4139_95FB_E7A71FA92E23__INCLUDED_)
#define AFX_IMAGEPROCESSING_H__16ABAD2B_E644_4139_95FB_E7A71FA92E23__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/// Include the Open eVision header file
#include "Open_eVision_1_2.h"

/// Open eVision Namespace
using namespace Euresys::Open_eVision_1_2;


class ImageProcessing  
{

private:
	/// The source image
	EImageBW8 _srcImg;

	/// Geometrical pattern matching tool
    EPatternFinder _finder;
    std::vector<EFoundPattern> _foundPattern;

	/// EWorldShape which holds the measurement tools
	EWorldShape _worldShape;

	/// Flags
	bool _bBlown;	// true if the fuse is blown
	bool _bFound;	// true if a fuse has been found


public:
	void Draw(HDC _mHdc);
	void Inspect(LPCTSTR _mFilename);
	void Initialize();
	
	ImageProcessing();
	virtual ~ImageProcessing();

};

#endif // !defined(AFX_IMAGEPROCESSING_H__16ABAD2B_E644_4139_95FB_E7A71FA92E23__INCLUDED_)
